/*
 * Copyright (C) 2008 Andre Noll <maan@systemlinux.org>
 *
 * Licensed under the GPL v2. For licencing details see COPYING.
 */

/** \file acl.h Exported functions of acl.c. */

void acl_init(struct list_head *acl, char * const *acl_info, int num);
char *acl_get_contents(struct list_head *acl);
int acl_check_access(int fd, struct list_head *acl, int default_deny);
void acl_allow(struct in_addr addr, int netmask,
		struct list_head *acl, int default_deny);
void acl_deny(struct in_addr addr, int netmask,
		struct list_head *acl, int default_deny);
